﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Display_XML_MVC_Core.Models;
using System.Xml;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Hosting;

namespace Display_XML_MVC_Core.Controllers
{
    public class HomeController : Controller
    {
        private IHostingEnvironment Environment;

        public HomeController(IHostingEnvironment _environment)
        {
            this.Environment = _environment;
        }

        public IActionResult Index()
        {
            List<CustomerModel> customers = new List<CustomerModel>();

            //Load the XML file in XmlDocument.
            XmlDocument doc = new XmlDocument();
            doc.Load(string.Concat(this.Environment.WebRootPath, "/Customers.xml"));

            //Loop through the selected Nodes.
            foreach (XmlNode node in doc.SelectNodes("/Customers/Customer"))
            {
                //Fetch the Node values and assign it to Model.
                customers.Add(new CustomerModel
                {
                    CustomerId = int.Parse(node["Id"].InnerText),
                    Name = node["Name"].InnerText,
                    Country = node["Country"].InnerText
                });
            }

            return View(customers);
        }
    }
}